$colorGreen: #74c0a2;
$colorDarkGrey: #666666;
$colorLightGrey: #eeeeee;
$colorGrey: #f3f3f3;
$colorRed: #fc0d1b;

.navbar {
  position: sticky;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 99;

  padding: 10px;
  height: 100px;
  background: white;
  border-bottom: 1px solid $colorDarkGrey;
  box-shadow: 0 2px 2px -1px rgb(180, 180, 180);

  &_links {
    border: 1px solid $colorGreen;
  }

  &__button {
    border: none;
    width: 50%;
    padding: 10px 0;
    cursor: pointer;
    font-weight: bold;
    background: white;
    transition: color 0.2s ease-in-out;

    &:hover {
      color: $colorGreen;
    }
  }

  &__button:nth-child(1) {
    border-right: 1px solid $colorGreen;
  }

  &__buttonActive {
    border: none;
    width: 50%;
    padding: 10px 0;
    cursor: pointer;
    font-weight: bold;
    background: $colorGreen;
    color: white;
  }

  &__tools {
    padding-top: 10px;
    display: flex;

    input {
      height: 30px;
      width: 300px;
      border: none;
      background: $colorLightGrey;
      padding-left: 10px;
      color: $colorDarkGrey;
      outline-color: $colorGreen;
    }

    select {
      height: 30px;
      width: 154px;
      border: none;
      background: $colorLightGrey;
      margin-left: 10px;
      padding-left: 10px;
      color: $colorDarkGrey;
      cursor: pointer;
      outline-color: $colorGreen;

      option:hover {
        background-color: $colorGreen;
      }
    }
  }

  &__SwitchList,
  &__SwitchGrid {
    border: none;
    margin: 0 10px;
    padding: 0 10px;
    height: 30px;
    font-size: 20px;
    color: $colorGreen;
    cursor: pointer;
    transition: color 0.2s ease-in-out;

    &:hover {
      color: $colorDarkGrey;
    }
  }

  &__SwitchGrid {
    margin-left: 0;
    margin-right: 0;
  }
}
